Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyExecutableMemberDoc

    org.codehaus.groovy.groovydoc.GroovyMemberDoc
      org.codehaus.groovy.groovydoc.GroovyDoc
          org.codehaus.groovy.groovydoc.GroovyExecutableMemberDoc
              org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

All Superinterfaces:
  GroovyMemberDoc, GroovyDoc, GroovyProgramElementDoc

    public interface GroovyExecutableMemberDoc
    extends GroovyMemberDoc

Method Summary
`String` | `flatSignature()`
`boolean` | `isNative()`
`boolean` | `isSynchronized()`
`boolean` | `isVarArgs()`
`GroovyParameter[]` | `parameters()`
`String` | `signature()`
`GroovyType[]` | `thrownExceptionTypes()`
`GroovyClassDoc[]` | `thrownExceptions()`

Methods inherited from interface GroovyMemberDoc
isSynthetic

Methods inherited from interface GroovyProgramElementDoc
annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName

Methods inherited from interface GroovyDoc
commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText

Methods inherited from interface Comparable
compareTo

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### flatSignature

    public String flatSignature()

### isNative

    public boolean isNative()

### isSynchronized

    public boolean isSynchronized()

### isVarArgs

    public boolean isVarArgs()

### parameters

    public GroovyParameter[] parameters()

### signature

    public String signature()

### thrownExceptionTypes

    public GroovyType[] thrownExceptionTypes()

### thrownExceptions

    public GroovyClassDoc[] thrownExceptions()

Copyright © 2003-2010 The Codehaus. All rights reserved.